[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TIconImage.ReleaseHandle

Releases the Handle for the icon image.

## Declaration

Source position: graphics.pp line 1583

`public function TIconImage.ReleaseHandle: HBITMAP;`

## Description

ReleaseHandle is a HBITMAP function used to release the Handle assigned for the icon image. The return value contains the HBITMAP value for Handle before it is released. ReleaseHandle sets the value in Handle to 0 (zero) to indicate that the handle is no longer in use or invalid.

ReleaseHandle is called when a TCustomIcon descendant calls its InternalReleaseBitmapHandle method.

Use ReleaseMaskHandle to release the MaskHandle for the icon image.

Use ReleasePalette to release the Palette handle used in the icon image.